import { configureStore } from '@reduxjs/toolkit';
import { Meta, Story } from '@storybook/react';
import React from 'react';
import { Provider } from 'react-redux';
import graphQueryResultSlice from '../../../../libs/shared/data-access/store/src/lib/graphQueryResultSlice';
import { App } from './app';

export default {
  component: App,
  title: 'App',
  decorators: [
    (story) => (
      <div style={{ padding: '3rem' }}>
        <Provider store={Mockstore}>{story()}</Provider>
      </div>
    ),
  ],
} as Meta;

const Template: Story = (args) => <App {...args} />;

// A super-simple mock of a redux store
const Mockstore = configureStore({
  reducer: {
    graphQueryResult: graphQueryResultSlice,
  },
});

export const Primary = Template.bind({});
Primary.args = {};
